Subject: Re: [PATCH] powerpc/scm: Use a specific endian format for storing uuid from the device tree

From: Michael Ellerman <[email-masked]>
Date: Mon, 8 Jul 2019 11:19:39 +1000 (AEST)

On Fri, 2019-06-07 at 06:47:05 UTC, "Aneesh Kumar K.V" wrote:
> We used uuid_parse to convert uuid string from device tree to two u64
> components. We want to make sure we look at the uuid read from device
> tree in an endian-neutral fashion. For now, I am picking little-endian
> to be format so that we don't end up doing an additional conversion.
> 
> The reason to store in a specific endian format is to enable reading
> the namespace created with a little-endian kernel config on a big-endian kernel.
> We do store the device tree uuid string as a 64-bit little-endian cookie in the
> label area. When booting the kernel we also compare this cookie
> against what is read from the device tree. For this, to work we have
> to store and compare these values in a CPU endian config independent fashion.
> 
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/259a948c4ba1829ae4a3c31bb6e40ad458a21254

cheers